field_component< T, M >

## Public Types

typedef field_basic< T, M >::size_type | size_type
typedef T | value_type
typedef M | memory_type
typedef scalar_traits< T >::type | scalar_type
typedef float_traits< T >::type | float_type
typedef field_basic< T, M >::iterator | iterator
typedef field_basic< T, M >::const_iterator | const_iterator

## Public Member Functions

| field_component ()
| field_component (field_basic< T, M > &uh, size_type i_comp)
| field_component (field_component< T, M > &uh, size_type i_comp)
field_component< T, M > & | operator= (const T &alpha)
template<class Expr , class Sfinae = typename std::enable_if< details::is_field_expr_affine_homogeneous<Expr>::value && ! details::is_field_expr_v2_constant <Expr>::value >::type>
field_component< T, M > & | operator= (const Expr &)
field_component< T, M > & | operator= (const field_component< T, M > &expr)
field_indirect< T, M > | operator[] (const geo_basic< T, M > &dom)
field_indirect< T, M > | operator[] (const std::string &dom_name)
field_component< T, M > | operator[] (size_t i_comp)
const space_constitution< T, M > & | get_constitution () const
std::string | name () const
geo_basic< T, M > | get_geo () const
space_basic< T, M > | get_space () const
bool | have_homogeneous_space (space_basic< T, M > &Xh) const
const distributor & | ownership () const
const communicator & | comm () const
size_type | ndof () const
size_type | dis_ndof () const
T & | dof (size_type idof)
const T & | dof (size_type idof) const
iterator | begin_dof ()
iterator | end_dof ()
const_iterator | begin_dof () const
const_iterator | end_dof () const
field_component< T, M > & | proxy_assign (field_component< T, M > &&uh_comp)

## Static Public Member Functions

template<class Iterator >
static void | initialize (const space_constitution< T, M > &sup_constit, size_type i_comp, space_constitution< T, M > &constit, Iterator &start, Iterator &last)

## Protected Attributes

space_constitution< T, M > | _constit
iterator | _start
iterator | _last

## Static Protected Attributes

static const size_type | _unset = std::numeric_limits<size_type>::max()

## Detailed Description

### template<class T, class M>
class rheolef::field_component< T, M >

Definition at line 206 of file field.h.

## Member Typedef Documentation

## size_type

typedef field_basic<T,M>::size_type size_type

Definition at line 66 of file field_component.h.

## value_type

typedef T value_type

Definition at line 67 of file field_component.h.

## memory_type

typedef M memory_type

Definition at line 68 of file field_component.h.

## scalar_type

typedef scalar_traits<T>::type scalar_type

Definition at line 69 of file field_component.h.

## float_type

typedef float_traits<T>::type float_type

Definition at line 70 of file field_component.h.

## iterator

typedef field_basic<T,M>::iterator iterator

Definition at line 71 of file field_component.h.

## const_iterator

typedef field_basic<T,M>::const_iterator const_iterator

Definition at line 72 of file field_component.h.

## Constructor & Destructor Documentation

## field_component() [1/3]

field_component

Definition at line 189 of file field_component.h.

## field_component() [2/3]

field_component | ( | field_basic< T, M > & | uh,
|  | size_type | i_comp
| ) |  |

Definition at line 237 of file field_component.h.

## field_component() [3/3]

field_component | ( | field_component< T, M > & | uh,
|  | size_type | i_comp
| ) |  |

Definition at line 253 of file field_component.h.

## Member Function Documentation

## operator=() [1/3]

field_component< T, M > & operator= | ( | const T & | alpha | ) |

Definition at line 322 of file field_component.h.

## operator=() [2/3]

field_component< T, M > & operator= | ( | const Expr & | expr | ) |

Definition at line 97 of file field_expr.h.

## operator=() [3/3]

field_component<T,M>& operator= | ( | const field_component< T, M > & | expr | ) |

Definition at line 91 of file field_component.h.

## operator[]() [1/3]

field_indirect< T, M > operator[] | ( | const geo_basic< T, M > & | dom | ) |

Definition at line 362 of file field_component.h.

## operator[]() [2/3]

field_indirect< T, M > operator[] | ( | const std::string & | dom_name | ) |

Definition at line 369 of file field_component.h.

## operator[]() [3/3]

field_component< T, M > operator[] | ( | size_t | i_comp | ) |

Definition at line 308 of file field_component.h.

## get_constitution()

const space_constitution<T,M>& get_constitution | ( |  | ) | const

Definition at line 106 of file field_component.h.

## name()

std::string name | ( |  | ) | const

Definition at line 107 of file field_component.h.

## get_geo()

geo_basic<T,M> get_geo | ( |  | ) | const

Definition at line 108 of file field_component.h.

## get_space()

space_basic<T,M> get_space | ( |  | ) | const

Definition at line 109 of file field_component.h.

## have_homogeneous_space()

bool have_homogeneous_space | ( | space_basic< T, M > & | Xh | ) | const

Definition at line 110 of file field_component.h.

## ownership()

const distributor& ownership | ( |  | ) | const

Definition at line 111 of file field_component.h.

## comm()

const communicator& comm | ( |  | ) | const

Definition at line 112 of file field_component.h.

## ndof()

size_type ndof | ( |  | ) | const

Definition at line 113 of file field_component.h.

## dis_ndof()

size_type dis_ndof | ( |  | ) | const

Definition at line 114 of file field_component.h.

## dof() [1/2]

T& dof | ( | size_type | idof | ) |

Definition at line 115 of file field_component.h.

## dof() [2/2]

const T& dof | ( | size_type | idof | ) | const

Definition at line 116 of file field_component.h.

## begin_dof() [1/2]

iterator begin_dof | ( |  | ) |

Definition at line 117 of file field_component.h.

## end_dof() [1/2]

iterator end_dof | ( |  | ) |

Definition at line 118 of file field_component.h.

## begin_dof() [2/2]

const_iterator begin_dof | ( |  | ) | const

Definition at line 119 of file field_component.h.

## end_dof() [2/2]

const_iterator end_dof | ( |  | ) | const

Definition at line 120 of file field_component.h.

## proxy_assign()

field_component< T, M > & proxy_assign | ( | field_component< T, M > && | uh_comp | ) |

Definition at line 290 of file field_component.h.

## initialize()

void initialize | ( | const space_constitution< T, M > & | sup_constit,
|  | size_type | i_comp,
|  | space_constitution< T, M > & | constit,
|  | Iterator & | start,
|  | Iterator & | last
| ) |  |

static

Definition at line 206 of file field_component.h.

## Member Data Documentation

## _unset

const size_type _unset = std::numeric_limits<size_type>::max()

static protected

Definition at line 133 of file field_component.h.

## _constit

space_constitution<T,M> _constit

protected

Definition at line 135 of file field_component.h.

## _start

iterator _start

protected

Definition at line 136 of file field_component.h.

## _last

iterator _last

protected

Definition at line 137 of file field_component.h.

The documentation for this class was generated from the following files:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/field.h
- /build/rheolef-bzr82u/rheolef-7.1/main/lib/field_component.h
- /build/rheolef-bzr82u/rheolef-7.1/main/lib/field_expr.h